# pymatgen.analysis.defects.dilute_solution_model module

Evaluate the defect concentration based on composition, temperature, and defect energies using “Dilute Solution Model” Reference: Phys Rev B, 63, 094103, 2001, “Density of constitutional and thermal point defects in L12 Al3Sc”, C. Woodward, M. Asta, G. Kresse and J. Hafner. Manual and citation for the code, DOI: 10.1016/j.cpc.2015.03.015

compute_defect_density(structure, e0, vac_defs, antisite_defs, T=800, trial_chem_pot=None, plot_style='highcharts')

  Wrapper for the dilute_solution_model. The computed plot data is prepared based on plot_style.

  Parameters

    - structure – pymatgen.core.structure.Structure object representing the primitive or unitcell of the crystal.

    - e0 – The total energy of the undefected system. This is E0 from VASP calculation.

    - vac_defs – List of vacancy defect parameters in the dictionary format. The keys of the dict associated with each vacancy defect are 1) site_index, 2) site_specie, 3) site_multiplicity, and 4) energy. 1-3 can be obtained from pymatgen.analysis.defects.point_defects.Vacancy class. Site index is expected to start with 1 (fortran index).

    - antisite_defs – List of antisite defect parameters in the dictionary format. The keys of the dict associated with each antisite defect are 1) site_index, 2) site_specie, 3) site_multiplicity, 4) substitution_specie, and 5) energy. 1-3 can be obtained from pymatgen.analysis.defects.point_defects.Vacancy class.

    - T – Temperature in Kelvin

    - trial_chem_pot (optional) – Trial chemical potentials to speedup the plot generation. Format is {el1:mu1,…}

    - plot_style (string) – Allowed options are 1) highcharts (default) 2) gnuplot

  Returns

    The plot data is generated and returned in asked format.

solute_defect_density(structure, e0, vac_defs, antisite_defs, solute_defs, solute_concen=0.01, T=800, trial_chem_pot=None, plot_style='highchargs')

  Wrapper for the solute_site_preference_finder. The computed plot data is prepared based on plot_style.

  Parameters

    - structure – pymatgen.core.structure.Structure object representing the primitive or unitcell of the crystal.

    - e0 – The total energy of the undefected system. This is E0 from VASP calculation.

    - vac_defs – List of vacancy defect parameters in the dictionary format. The keys of the dict associated with each vacancy defect are 1) site_index, 2) site_specie, 3) site_multiplicity, and 4) energy. 1-3 can be obtained from pymatgen.analysis.defects.point_defects.Vacancy class. Site index is expected to start with 1 (fortran index).

    - antisite_defs – List of antisite defect parameters in the dictionary format. The keys of the dict associated with each antisite defect are 1) site_index, 2) site_specie, 3) site_multiplicity, 4) substitution_specie, and 5) energy. 1-3 can be obtained from pymatgen.analysis.defects.point_defects.Vacancy class.

    - solute_defs – List of solute defect parameters in the dictionary format. Similary to that of antisite defs, wtih solute specie specified in substitution_specie

    - solute_concen – Solute concentration (in fractional value)

    - T – Temperature in Kelvin

    - trial_chem_pot (optional) – Trial chemical potentials to speedup the plot generation. Format is {el1:mu1,…}

    - plot_style (string) – Allowed options are 1) highcharts (default) 2) gnuplot

  Returns

    The plot data is generated and returned in asked format.

solute_site_preference_finder(structure, e0, T, vac_defs, antisite_defs, solute_defs, solute_concen=0.01, trial_chem_pot=None)

  Compute the solute defect densities using dilute solution model. :param structure: pymatgen.core.structure.Structure object representing the

  > primitive or unitcell of the crystal.

  Parameters

    - e0 – The total energy of the undefected system. This is E0 from VASP calculation.

    - T – Temperature in Kelvin

    - vac_defs – List of vacancy defect parameters in the dictionary format. The keys of the dict associated with each vacancy defect are 1) site_index, 2) site_specie, 3) site_multiplicity, and 4) energy. 1-3 can be obtained from pymatgen.analysis.defects.point_defects.Vacancy class. Site index is expected to start with 1 (fortran index).

    - antisite_defs – List of antisite defect parameters in the dictionary format. The keys of the dict associated with each antisite defect are 1) site_index, 2) site_specie, 3) site_multiplicity, 4) substitution_specie, and 5) energy. 1-3 can be obtained from pymatgen.analysis.defects.point_defects.Vacancy class.

    - solute_defs – List of solute defect parameters in the dictionary format. Similary to that of antisite defs, wtih solute specie specified in substitution_specie

    - solute_concen – Solute concentration (in fractional value)

    - trial_chem_pot – Trial chemical potentials to speedup the plot generation. Format is {el1:mu1,…}

  Returns

    The data for plotting the solute defect concentration.

  Return type

    plot_data